## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit d816d0d0d39ce9dd951d7c426fb7447dff6dd8d4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%global fs_block_tools %(cat <<EOF
e2fsprogs \\
genisoimage \\
f2fs-tools \\
btrfs-progs \\
squashfs-tools \\
dosfstools \\
mtools \\
erofs-utils \\
mdadm \\
qemu-img \\
uboot-tools \\
mtd-utils \\
mtd-utils-ubi
EOF)

Name:           genimage
Version:        18^20250603.g%{shortcommit}

Release:        %autorelease
Summary:        Flexible filesystem and disk image generator

License:        GPL-2.0-only
URL:            https://github.com/pengutronix/genimage/
Source0:        %{url}/archive/%{commit}/%{name}-%{version}.tar.gz

Recommends:     %{fs_block_tools}

BuildRequires:  autoconf automake
BuildRequires:  gcc
BuildRequires:  libconfuse-devel
BuildRequires:  libtool

BuildRequires:  coreutils
BuildRequires:  python3-docutils
# tests
BuildRequires:  fakeroot
BuildRequires:  %{fs_block_tools}

%description
genimage is a tool to generate multiple filesystem and flash/disk
images from a given root filesystem tree. genimage is intended to 
be run in a fakeroot environment. 
It also supports creating flash/disk images out of different 
file-system images and files.

%prep
%autosetup -n %{name}-%{commit}
autoreconf -fi


%build
%configure
%make_build
rst2man README.rst > %{name}.1

%install
%make_install
install -D -m644 %{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1

%check
# workaround for util-linux not shipping the mkcramfs old name 
export TMPPATH=`mktemp -d`
ln -s /usr/bin/mkfs.cramfs $TMPPATH/mkcramfs
export PATH=$PATH:$TMPPATH
make check

%files
%license COPYING
%doc README.rst
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
## START: Generated by rpmautospec
* Tue Jun 03 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250603.gd816d0d-2
- Use more filesystem/block tools for tests and recommend them

* Tue Jun 03 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250603.gd816d0d-1
- Recent snapshot

* Tue May 27 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250527.ge035be8-2
- make check  and some additional BR for it

* Tue May 27 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250527.ge035be8-1
- Recent snapshot

* Sun May 25 2025 Yanko Kaneti <yaneti@declera.com> - 18^20250525.g04f835a-1
- Initial attempt
## END: Generated by rpmautospec
